TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Insert ( list L, any a, elt-ord^rat pos ) -> list

### Description

<shortdoc> Insert `a' in `L' at position `pos', resize `L' to cover the the insertion.
Note: `pos' must not be negative nor 0 nor exceed the scope of `L' (Size(L)) by more than 1.
Note: This function returns the list created by the insertion but does not affect `L'. </shortdoc>

### Examples

L:=[1,,3,4]; Insert(L,2,2); L;
L2:=[1,2]; Insert(L2,3,3); L2;

### See also

Insert_ ( list, any, elt-ord^rat )

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack